package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）枚举类
*
* @author zxfei
*/
public enum AppoveTimeLimitShowEnum {
    网络办件("网络办件", "网络办件"),
    行政审批一般件("行政审批一般件", "行政审批一般件"),
    综合窗口件("综合窗口件", "综合窗口件");
    private String value;
    private String desc;

    AppoveTimeLimitShowEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AppoveTimeLimitShowEnum getByValue(String value) {
        for (AppoveTimeLimitShowEnum appoveTimeLimitShowEnum : AppoveTimeLimitShowEnum.values()) {
            if (appoveTimeLimitShowEnum.getValue() == value) {
                return appoveTimeLimitShowEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AppoveTimeLimitShowEnum item : AppoveTimeLimitShowEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}